Name:           mdp
Version:        0.7.4
Release:        1%{?dist}
Summary:        Minimalist password safe

License:        ISC
URL:            http://tamentis.com/projects/%{name}
Source0:        https://github.com/tamentis/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  ncurses-devel

# tests need some runtime driver
BuildRequires:  gnupg

# runtime functionality
Requires:       gnupg

%description
%[name] is a wrapper around GnuPG and a text editor, it includes a full-
screen pager with timeout (avoids passwords from lingering on screen) and
a password generator with profiles.


%prep
%setup -q
find tests -name \*.sh |xargs chmod 644


%build
%configure --debug --prefix=%{buildroot}%{_prefix}
make %{?_smp_mflags}


%install
%make_install


%check
pushd tests
find . -name \*.sh |xargs chmod +x
# FIXME b0rken test
rm functional/test_generate_profile_iso.sh
# useless test fails in fedora-review/mock
rm functional/test_pager_timeout.sh
make %{?_smp_mflags} test-all
# exclude binaries from doc
make clean
find . -name \*.sh |xargs chmod -x


%files
%license LICENSE
%doc AUTHORS ChangeLog README TODO
%doc config.example
%doc tests/
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}



%changelog
* Sat Jul 25 2015 Raphael Groner <projects.rg@smart.ms> - 0.7.4-1
- initial
